meta::quote_i< T, C > Struct Template Reference
Meta » Trait » Composition

Turn a template `C` taking literals of type `T` into a invocable. More...

`#include <meta/meta.hpp>`

## Public Types

template<integral ... Ts>
using | invoke = _t< defer_i< T, C, Ts::type::value... > >

## Detailed Description

### template<typename T, template< T... > class C>
struct meta::quote_i< T, C >

Turn a template `C` taking literals of type `T` into a invocable.